From fd3c17ad5d4e3acaa5469f408e57bb9375253e4d Mon Sep 17 00:00:00 2001
From: Michal Vasilek <michal.vasilek@nic.cz>
Date: Thu, 3 Feb 2022 19:45:26 +0100
Subject: [PATCH] Add a makefile

---
 Makefile | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
 create mode 100644 Makefile

--- /dev/null
+++ b/Makefile
@@ -0,0 +1,21 @@
+CC = cc
+CFLAGS=-O2 -fPIC -fstack-protector-strong -D_GNU_SOURCE -s -z norelro
+PREFIX=/usr
+BINDIR=$(PREFIX)/bin
+
+all: tinyionice
+
+tinyionice: main.c
+	$(CC) $(CFLAGS) $< -o $@
+
+install: tinyionice
+	install -D -m 755 tinyionice $(DESTDIR)/$(BINDIR)/tinyionice
+
+uninstall:
+	rm -f $(DESTDIR)/$(BINDIR)/tinyionice
+
+clean:
+	rm -f tinyionice
+
+
+.PHONY: all install uninstall clean
